<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="MyWorkManager" />
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="28afa1c5-b903-4fe0-abde-da932847fd32" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="175">
              <caret line="47" column="31" selection-start-line="47" selection-start-column="31" selection-end-line="47" selection-end-column="31" />
              <folding>
                <element signature="e#1612#2192#0" expanded="true" />
                <element signature="e#2191#2192#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/OneTimeWorkRequest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1425">
              <caret line="78" column="15" selection-start-line="78" selection-start-column="15" selection-end-line="78" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/WorkRequest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2400">
              <caret line="130" column="31" selection-start-line="130" selection-start-column="31" selection-end-line="130" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/impl/model/WorkSpec.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2600">
              <caret line="143" column="23" selection-start-line="143" selection-start-column="8" selection-end-line="143" selection-end-column="23" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/Worker.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="266">
              <caret line="78" column="64" selection-start-line="78" selection-start-column="64" selection-end-line="78" selection-end-column="64" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="layoutResourceFile_vertical" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>workerClass</find>
      <find>workerClassName</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager3.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager4.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager5.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager2.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_paging.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/DataSource.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/Concert.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/RecyclerAdapter.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/PagingActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/item_recyclerview.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertFactory.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertViewModel.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertDataSource.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/MainActivity.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-27" />
    <option name="y" value="3" />
    <option name="width" value="1678" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_jetpack_other" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_jetpack_other" type="462c0819:PsiDirectoryNode" />
              <item name="workmanager" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Jetpack_Other" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Jetpack_Other" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
              <item name="layout" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="com.maniu.mn_vip_jetpack_other.paging" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.mn_vip_jetpack_other.workmanager" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_Jetpack_Other\app\src\main\res\layout" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="28afa1c5-b903-4fe0-abde-da932847fd32" name="Default Changelist" comment="" />
      <created>1597242777505</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1597242777505</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-27" y="3" width="1678" height="1040" extended-state="1" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.24782068" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Build Variants" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Resources Explorer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Favorites" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Run" order="0" weight="0.32900944" />
      <window_info active="true" anchor="bottom" id="Logcat" order="1" visible="true" weight="0.47523585" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Android Profiler" order="3" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.32900944" />
      <window_info anchor="bottom" id="Terminal" order="5" />
      <window_info anchor="bottom" id="Event Log" order="6" sideWeight="0.5006227" side_tool="true" weight="0.31132075" />
      <window_info anchor="bottom" id="Flutter Performance" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Build" order="9" sideWeight="0.49937734" weight="0.36084905" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Flutter Inspector" order="4" />
      <window_info anchor="right" id="Flutter Outline" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Preview" order="7" />
    </layout>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/MainActivity.java</url>
          <line>138</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$APPLICATION_HOME_DIR$/jre/jre/lib/rt.jar!/java/util/concurrent/ThreadPoolExecutor.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="885" column="26" lean-forward="true" selection-start-line="885" selection-start-column="26" selection-end-line="885" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager3.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-350">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager4.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-200">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager5.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-275">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="31" column="26" lean-forward="true" selection-start-line="31" selection-start-column="26" selection-end-line="31" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_paging.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="11" column="35" selection-start-line="11" selection-start-column="23" selection-end-line="11" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/item_recyclerview.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="9" column="30" lean-forward="true" selection-start-line="9" selection-start-column="30" selection-end-line="9" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.recyclerview/recyclerview/1.0.0/2151d26c3b241f0a887f2dadb9ab091649fcf020/recyclerview-1.0.0-sources.jar!/androidx/recyclerview/widget/RecyclerView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="245">
          <caret line="206" column="13" selection-start-line="206" selection-start-column="13" selection-end-line="206" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.recyclerview/recyclerview/1.0.0/2151d26c3b241f0a887f2dadb9ab091649fcf020/recyclerview-1.0.0-sources.jar!/androidx/recyclerview/widget/DiffUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="245">
          <caret line="372" column="33" selection-start-line="372" selection-start-column="33" selection-end-line="372" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/Concert.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="7" column="31" selection-start-line="7" selection-start-column="31" selection-end-line="7" selection-end-column="31" />
          <folding>
            <element signature="e#181#182#0" expanded="true" />
            <element signature="e#225#226#0" expanded="true" />
            <element signature="e#261#262#0" expanded="true" />
            <element signature="e#295#296#0" expanded="true" />
            <element signature="e#325#326#0" expanded="true" />
            <element signature="e#371#372#0" expanded="true" />
            <element signature="e#409#410#0" expanded="true" />
            <element signature="e#441#442#0" expanded="true" />
            <element signature="e#469#470#0" expanded="true" />
            <element signature="e#511#512#0" expanded="true" />
            <element signature="e#545#546#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/RecyclerAdapter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="235">
          <caret line="46" column="15" selection-start-line="46" selection-start-column="15" selection-end-line="46" selection-end-column="15" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#565#566#0" expanded="true" />
            <element signature="e#601#602#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="57" selection-start-line="10" selection-start-column="57" selection-end-line="10" selection-end-column="57" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertViewModel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="11" column="49" selection-start-line="11" selection-start-column="49" selection-end-line="11" selection-end-column="49" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#691#692#0" expanded="true" />
            <element signature="e#737#738#0" expanded="true" />
            <element signature="e#797#798#0" expanded="true" />
            <element signature="e#831#832#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/PagingActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="217">
          <caret line="18" column="13" selection-start-line="18" selection-start-column="13" selection-end-line="18" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/paging/ConcertDataSource.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="21" column="13" lean-forward="true" selection-start-line="21" selection-start-column="13" selection-end-line="21" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/c1e4daf2eb919e8ab05733c21b2df3d3/jars/classes.jar!/androidx/work/impl/model/WorkSpecDao_Impl.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1675">
          <caret line="884" column="40" selection-start-line="884" selection-start-column="40" selection-end-line="884" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/impl/model/WorkSpecDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="171" column="42" selection-start-line="171" selection-start-column="42" selection-end-line="171" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/impl/WorkManagerImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1990">
          <caret line="446" column="27" selection-start-line="446" selection-start-column="27" selection-end-line="446" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="501">
          <caret line="35" column="3" selection-start-line="35" selection-start-column="3" selection-end-line="35" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="450">
          <caret line="18" column="27" selection-start-line="18" selection-start-column="27" selection-end-line="18" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/WorkManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="265">
          <caret line="499" column="48" selection-start-line="499" selection-start-column="48" selection-end-line="499" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/PeriodicWorkRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="55" column="19" selection-start-line="55" selection-start-column="19" selection-end-line="55" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/workmanager/MyWorkManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="600">
          <caret line="24" column="28" lean-forward="true" selection-start-line="24" selection-start-column="28" selection-end-line="24" selection-end-column="28" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/OneTimeWorkRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1425">
          <caret line="78" column="15" selection-start-line="78" selection-start-column="15" selection-end-line="78" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/WorkRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2400">
          <caret line="130" column="31" selection-start-line="130" selection-start-column="31" selection-end-line="130" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/impl/model/WorkSpec.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2600">
          <caret line="143" column="23" selection-start-line="143" selection-start-column="8" selection-end-line="143" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.work/work-runtime/2.3.4/a79269c86b95e880215c498bf34e60ea5d8418d/work-runtime-2.3.4-sources.jar!/androidx/work/Worker.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="78" column="64" selection-start-line="78" selection-start-column="64" selection-end-line="78" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_other/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="47" column="31" selection-start-line="47" selection-start-column="31" selection-end-line="47" selection-end-column="31" />
          <folding>
            <element signature="e#1612#2192#0" expanded="true" />
            <element signature="e#2191#2192#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>